## ros-humble-leo-description 1.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(leo_description)

find_package(ament_cmake REQUIRED)

install(
  DIRECTORY
    config
    launch
    models
    urdf
  DESTINATION share/${PROJECT_NAME}
)

ament_package()

=== debian/changelog ===
ros-humble-leo-description (1.1.0-1jammy) jammy; urgency=high



 -- Fictionlab <support@fictionlab.pl>  Tue, 30 Aug 2022 22:00:00 -0000

ros-humble-leo-description (1.0.3-1jammy) jammy; urgency=high



 -- Fictionlab <support@fictionlab.pl>  Tue, 24 May 2022 22:00:00 -0000

ros-humble-leo-description (1.0.2-1jammy) jammy; urgency=high



 -- Fictionlab <support@fictionlab.pl>  Sun, 06 Mar 2022 23:00:00 -0000

ros-humble-leo-description (1.0.1-1jammy) jammy; urgency=high



 -- Fictionlab <support@fictionlab.pl>  Sun, 06 Mar 2022 23:00:00 -0000

ros-humble-leo-description (1.0.0-1jammy) jammy; urgency=high

  * Initial port for ROS2

 -- Fictionlab <support@fictionlab.pl>  Sun, 06 Mar 2022 23:00:00 -0000

=== debian/control ===
Source: ros-humble-leo-description
Section: misc
Priority: optional
Maintainer: Fictionlab <support@fictionlab.pl>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ros-workspace
Homepage: http://wiki.ros.org/leo_description
Standards-Version: 3.9.2

Package: ros-humble-leo-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-robot-state-publisher, ros-humble-xacro, ros-humble-ros-workspace
Description: URDF Description package for Leo Rover

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-leo-description//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-leo-description 1.2.3

=== debian/changelog ===
ros-humble-leo-description (1.2.3-1bookworm) bookworm; urgency=high

  * Remove imu system plugin from the robot (#11 <https://github.com/LeoRover/leo_common-ros2/issues/11>)
  * Contributors: Jan Hernas

 -- Fictionlab <support@fictionlab.pl>  Sat, 11 May 2024 16:00:00 -0000

ros-humble-leo-description (1.2.2-1bookworm) bookworm; urgency=high

  * Set GZ_SIM_RESOURCE_PATH for Gazebo Harmonic
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Fri, 26 Apr 2024 16:00:00 -0000

ros-humble-leo-description (1.2.1-1bookworm) bookworm; urgency=high

  * Change wheel ode friction params (#8 <https://github.com/LeoRover/leo_common-ros2/issues/8>)
  * Remove redundant ros2_control controller configuration
  * Contributors: Błażej Sowa, Jan Hernas

 -- Fictionlab <support@fictionlab.pl>  Mon, 12 Feb 2024 16:00:00 -0000

ros-humble-leo-description (1.2.0-1bookworm) bookworm; urgency=high

  * Update author and copyright info
  * Add mecanum wheels to description package (#6 <https://github.com/LeoRover/leo_common-ros2/issues/6>)
  * Ci updates (#7 <https://github.com/LeoRover/leo_common-ros2/issues/7>)
  * Adjust description package to work in new Gazebo simulation (#5 <https://github.com/LeoRover/leo_common-ros2/issues/5>)
  * Contributors: Aleksander Szymański, Błażej Sowa, Jan Hernas

 -- Fictionlab <support@fictionlab.pl>  Wed, 01 Nov 2023 16:00:00 -0000

ros-humble-leo-description (1.1.0-1bookworm) bookworm; urgency=high



 -- Fictionlab <support@fictionlab.pl>  Tue, 30 Aug 2022 16:00:00 -0000

ros-humble-leo-description (1.0.3-1bookworm) bookworm; urgency=high



 -- Fictionlab <support@fictionlab.pl>  Tue, 24 May 2022 16:00:00 -0000

ros-humble-leo-description (1.0.2-1bookworm) bookworm; urgency=high



 -- Fictionlab <support@fictionlab.pl>  Sun, 06 Mar 2022 16:00:00 -0000

ros-humble-leo-description (1.0.1-1bookworm) bookworm; urgency=high



 -- Fictionlab <support@fictionlab.pl>  Sun, 06 Mar 2022 16:00:00 -0000

ros-humble-leo-description (1.0.0-1bookworm) bookworm; urgency=high

  * Initial port for ROS2

 -- Fictionlab <support@fictionlab.pl>  Sun, 06 Mar 2022 16:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Fictionlab <support@fictionlab.pl>
-Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ros-workspace
+Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-lint-cmake <!nocheck>, ros-humble-ament-cmake-xmllint <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ros-workspace
 Homepage: http://wiki.ros.org/leo_description
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-leo-description//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-leo-description//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-leo-description//opt/ros/humble/opt/leo_description/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
